// MCPDAC relies on SPI.
#include <SPI.h>
#include <MCPDAC.h>

void setup()
{
  // CS on pin 10, no LDAC pin (tie it to ground).
  MCPDAC.begin(10);
  
  // Set the gain to "HIGH" mode - 0 to 4096mV.
  MCPDAC.setGain(CHANNEL_A,GAIN_HIGH);
  MCPDAC.setGain(CHANNEL_B,GAIN_HIGH);
  
  MCPDAC.shutdown(CHANNEL_A,false);
  MCPDAC.shutdown(CHANNEL_B,false);
  Serial.begin(9600);
}

void loop()
{
  static unsigned int Avolts;
  static unsigned int Bvolts;
 int SB = Serial.parseInt(); // valeur en mv canal B entrée par serial 
 if (SB >0){ 
 Serial.println(SB);
 Bvolts=SB; }
  // Set the voltage of channel A.
  MCPDAC.setVoltage(CHANNEL_A,Avolts&0x0fff);
  MCPDAC.setVoltage(CHANNEL_B,Bvolts&0x0fff);

  // Increase the voltage in steps of 100mV.
  // volts+=100;
  Avolts=random(4095); // valeur randomizé canal A
  
}
